<?PHP

include_once('../lib-common.php');

global $_USER, $_CONF;

if (!SEC_hasRights('uploads.admin')){
    $display .= COM_siteHeader();
    $display .= COM_startBlock('Access Denied');
    $display .= "<br>You do not have sufficient permission to access this page.  Only project members may take advantage of this feature.  If you are a project member, but still cannot access this page once logged in, please contact the admin.";
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true); 
    echo $display;
    exit;
}

$site = $_CONF['site_url'];
$sitename = $_CONF['site_name'];


/*
*
* MAIN FUNCTION
*
*/


$display = COM_siteHeader();   
$display .= COM_startBlock('Project Members\' Upload Area');

if (isset($_POST['submit'])){
    $display .= '<div class="ups-results">';
    $display .= ups_uploadFile();
    $display .= '</div>';
    $label = 'Upload Another File';
} else $label = 'Upload File';

$maxfilesize = ini_get('post_max_size');
$maxfilesize = ups_returnBytes($maxfilesize);

echo $display;
?>

<div class="ups-uploadform">
    <p>From this page you may upload the media that you wish to appear in your site's content.  As soon as your media is uploaded, you will be presented with an HTML formatted text string that you can copy and paste into your content.  This string will appear in your content as a link to the media.</p>
    <p>Only one file at a time can be uploaded and that file will be accepted only if it is of type: mp3, wav, gif, jpg, jpeg, png, or pdf.<p>
	<form enctype="multipart/form-data" action="<?= $_CONF['site_url'] . '/uploads/index.php'; ?>" method="POST">
        <label for="userfile" style="width: 30%; text-align: right; float: left; font-weight: bold;"><?= $label ?>:&nbsp;&nbsp;</label>
            <input name="MAX_FILE_SIZE" value="<?= $maxfilesize ?>" type="hidden" />
            <input name="userfile" type="file" /><br /><br />
        <p align="center"><input name="submit" type="submit" value="Add File" /></p>
    </form>
</div>

<?php
$display = COM_endBlock();
$display .= COM_startBlock('Current Media');
$display .= ups_scanDir();
$display .= COM_endblock();
$display .= COM_siteFooter(true);
echo $display;

?>